Create Beneficiary
curl --request POST \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"tax_id": "<string>",
"country_code": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries"
payload = {
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"tax_id": "<string>",
"country_code": "<string>",
"note": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiary_type: '<string>',
title: '<string>',
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
display_name: '<string>',
company_name: '<string>',
email: '<string>',
phone: '<string>',
address: {
address_line: '<string>',
city: '<string>',
region: '<string>',
postal_code: '<string>',
country: '<string>'
},
tax_id: '<string>',
country_code: '<string>',
note: '<string>'
})
};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"account_id": "<string>",
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"tax_id": "<string>",
"country_code": "<string>",
"note": "<string>",
"status": "<string>",
"verified": true,
"payout_destinations": [
{}
],
"created": "<string>",
"updated": "<string>"
}Beneficiaries
Create Beneficiary
Create a new beneficiary for receiving payouts
POST
/
v1
/
accounts
/
{account_id}
/
beneficiaries
Create Beneficiary
Path Parameters
string
required
The account’s external ID (starts with
acc_)Request Body
string
default:"individual"
Type of beneficiary:
individual or businessstring
Title (e.g., Mr, Ms, Dr) - max 20 characters
string
required
First name (max 100 characters)
string
Middle name (max 100 characters)
string
required
Last name (max 100 characters)
string
required
Display name for the beneficiary (max 255 characters)
string
Company name (required for business beneficiaries, max 255 characters)
string
required
Email address (max 255 characters)
string
required
Phone number with country code (max 50 characters)
object
required
string
Tax identification number (max 50 characters)
string
required
Payout country code (ISO 3166-1 alpha-2)
string
Internal notes or comments
Response
string
Beneficiary identifier (starts with
bene_)string
Always returns
"beneficiary"string
Parent account external ID
string
Beneficiary type:
individual or businessstring
Title (e.g., Mr, Ms, Dr)
string
First name
string
Middle name
string
Last name
string
Display name
string
Company name
string
Email address
string
Phone number
object
string
Tax identification number
string
Payout country code
string
Internal notes or comments
string
Beneficiary status:
active, disabled, or inactiveboolean
Whether beneficiary has been verified
array
Array of payout destination objects
string
ISO 8601 timestamp when created
string
ISO 8601 timestamp when last updated
Response Example
{
"id": "bene_9gt1ummgx127biovlurm9mq2",
"object": "beneficiary",
"account_id": "acct_ka44qsvpo8q3wtzuwfqf0h6u",
"beneficiary_type": "individual",
"title": null,
"first_name": "John",
"middle_name": null,
"last_name": "Doe",
"display_name": "John Doe",
"company_name": null,
"email": "john.doe@example.com",
"phone": "+1234567890",
"address": {
"address_line": "123 Main St",
"city": "New York",
"region": "NY",
"postal_code": "10001",
"country": "US"
},
"country_code": "US",
"status": "active",
"verified": false,
"payout_destinations": [],
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-15T10:00:00Z"
}
⌘I